static const char _cvsid[] = 
"$Id: clok.cc,v 1.1 2004/10/29 20:31:34 maciek Exp $";
#include <string>
#include <stdio.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <unistd.h>
#include "assert.h"

#include "clok.h"

// IMPLEMENTATION ---


void Clok::wall( double &wal ) {
        struct timeval tv;
        struct timezone tz;
        gettimeofday( &tv, &tz );
        wal = (double)tv.tv_sec + ((double)tv.tv_usec)/1e6;
}

void Clok::user_sys( double &user, double &sys ) {
        struct rusage usage;
        getrusage( RUSAGE_SELF, &usage );
        user = (double)usage.ru_utime.tv_sec + ((double)usage.ru_utime.tv_usec)/1e6;
        sys = (double)usage.ru_stime.tv_sec + ((double)usage.ru_stime.tv_usec)/1e6;
}





